Images
curl --request GET \
--url 'https://api.themoviedb.org/3/network/{{network_id}}/images' \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/network/{{network_id}}/images"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/network/{{network_id}}/images', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1,
"logos": [
{
"aspect_ratio": 3.741935483870967,
"file_path": "/4x4GsmRmSLLL0RVNKsoqAVH43tz.png",
"file_type": ".png",
"height": 186,
"id": "66425c1876238ac36f32e1e1",
"vote_average": 3.334,
"vote_count": 1,
"width": 696
},
{
"aspect_ratio": 1.0240963855421688,
"file_path": "/yS5UJjsSdZXML0YikWTYYHLPKhQ.png",
"file_type": ".svg",
"height": 249,
"id": "5a7ee3cbc3a36818ac0097b1",
"vote_average": 0,
"vote_count": 0,
"width": 255
},
{
"aspect_ratio": 2.2256944444444446,
"file_path": "/dpfedkGCjGZT8laMv0gLPcd0XZf.png",
"file_type": ".svg",
"height": 288,
"id": "6652eea02e76ed9b2a99ee50",
"vote_average": 0,
"vote_count": 0,
"width": 641
}
]
}NETWORKS
Images
This endpoint gets the TV network logos by id.
GET
/
3
/
network
/
{network_id}
/
images
Images
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
200 - application/json
Images
Example:
1
Show child attributes
Show child attributes
Example:
[
{
"aspect_ratio": 3.741935483870967,
"file_path": "/4x4GsmRmSLLL0RVNKsoqAVH43tz.png",
"file_type": ".png",
"height": 186,
"id": "66425c1876238ac36f32e1e1",
"vote_average": 3.334,
"vote_count": 1,
"width": 696
},
{
"aspect_ratio": 1.0240963855421688,
"file_path": "/yS5UJjsSdZXML0YikWTYYHLPKhQ.png",
"file_type": ".svg",
"height": 249,
"id": "5a7ee3cbc3a36818ac0097b1",
"vote_average": 0,
"vote_count": 0,
"width": 255
},
{
"aspect_ratio": 2.2256944444444446,
"file_path": "/dpfedkGCjGZT8laMv0gLPcd0XZf.png",
"file_type": ".svg",
"height": 288,
"id": "6652eea02e76ed9b2a99ee50",
"vote_average": 0,
"vote_count": 0,
"width": 641
}
]
⌘I